# Interface methods for submodule: RichardsonLucyDeconvolutionImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import IterativeDeconvolutionImageFilterProxy as _IterativeDeconvolutionImageFilterProxy


# Interface methods for class: RichardsonLucyDeconvolutionImageFilter
class RichardsonLucyDeconvolutionImageFilterProxy(_IterativeDeconvolutionImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

